It is impossible to install FireFox browser on HTC Wildfire

RESOLVED WONTFIX

Status

Firefox for Android Graveyard
General
--
critical
RESOLVED WONTFIX
7 years ago
5 years ago

People

(Reporter: webqa.utest, Unassigned)

Tracking

Trunk
Other
Android

Details

Attachments

(1 attachment)

(Reporter)

Description

7 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; ru; rv:1.9.2.15) Gecko/20110303 Firefox/3.6.15
Build Identifier: http://ftp.mozilla.org/pub/mozilla.org/mobile/candidates/4.0rc1-candidates/build3/android-r7/multi/fennec-4.0rc1.multi.eabi-arm.apk

uTest bug id - 130715

Reproducible: Always

Steps to Reproduce:
It is impossible to instal FireFox browser on HTC wildfire:
Steps to reproduce:
1. Download last build of FireFox browser on your device (on SD card)
2. Try to install it by any installer app, like APKatcher.
Actual Results:  
Firefox is not installed. Installation is interrupted after some time after the installation beginning.
'Application is not installed' message is shown.
Application logs contain the following error message:
'03-19 00:42:35.266: WARN/PackageManager(99): Native ABI mismatch from package file
03-19 00:42:35.266: WARN/PackageManager(99): Package couldn't be installed in /data/app/org.mozilla.firefox-1.apk'

Expected Results:  
Firefox is installed. FireFox can be run.

Device Model - HTC Wildefire A3333
OS version - AndroidOS 2.2.1
Carrier - Tele2
3g internet connection
(Reporter)

Updated

7 years ago
OS: Windows XP → Android
Hardware: x86 → Other
(Reporter)

Comment 1

7 years ago
Created attachment 520795 [details]
Error message

Comment 2

7 years ago
ARM11 and ARMv6 devices aren't supported
Status: UNCONFIRMED → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → WONTFIX

Comment 3

5 years ago
I also can not install FireFox on my android.
I went to play.google.com on the following address:
https://play.google.com/store/apps/details?id=org.mozilla.firefox&feature=search_result#?t=W251bGwsMSwyLDEsIm9yZy5tb3ppbGxhLmZpcmVmb3giXQ..

I waited for the progress, checking compatibility for your device to complete, and then I got this error message under the install button in the same window:
	
    This app is incompatible with your IDEA HTC HTC Wildfire S A510e.
Hi Musa,

Unfortunately your phone, the A510E is under our specified requirements currently for both Firefox and Firefox Beta (minimum: 800MHz/512MB RAM) and will not be able to run (as it's 600MHz/512MB).

Currently, you can try out Nightly or Aurora (http://nightly.mozilla.org), (http://www.mozilla.org/en-US/mobile/aurora/) to test it out as we're looking to drop the requirements in the near future.
You need to log in before you can comment on or make changes to this bug.